curl --request POST \
--url https://openapi.beeos.ai/api/v1/instances/{id}/start \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "<string>",
"ownerId": "<string>",
"agentFramework": "<string>",
"providerId": "<string>",
"externalId": "<string>",
"osType": "<string>",
"hostingType": "<string>",
"cloudProvider": "<string>",
"name": "<string>",
"modelPrimary": "<string>",
"models": [
"<string>"
],
"status": "<string>",
"desiredStatus": "<string>",
"endpoint": "<string>",
"bridgeId": "<string>",
"identityId": "<string>",
"totalRunSeconds": 123,
"connectivity": "<string>",
"providerConfig": {},
"haltReason": "<string>",
"publicIp": "<string>",
"clusterId": "<string>",
"region": "<string>",
"imageId": "<string>",
"imageRef": "<string>",
"isTrial": true,
"expiresAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"systemPrompt": "<string>",
"mcpServers": {},
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"statusEnteredAt": "2023-11-07T05:31:56Z",
"connectivityUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"screenshotUrl": "<string>",
"screenshotUpdatedAt": "2023-11-07T05:31:56Z"
}
}curl --request POST \
--url https://openapi.beeos.ai/api/v1/instances/{id}/start \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "<string>",
"ownerId": "<string>",
"agentFramework": "<string>",
"providerId": "<string>",
"externalId": "<string>",
"osType": "<string>",
"hostingType": "<string>",
"cloudProvider": "<string>",
"name": "<string>",
"modelPrimary": "<string>",
"models": [
"<string>"
],
"status": "<string>",
"desiredStatus": "<string>",
"endpoint": "<string>",
"bridgeId": "<string>",
"identityId": "<string>",
"totalRunSeconds": 123,
"connectivity": "<string>",
"providerConfig": {},
"haltReason": "<string>",
"publicIp": "<string>",
"clusterId": "<string>",
"region": "<string>",
"imageId": "<string>",
"imageRef": "<string>",
"isTrial": true,
"expiresAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"systemPrompt": "<string>",
"mcpServers": {},
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"statusEnteredAt": "2023-11-07T05:31:56Z",
"connectivityUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"screenshotUrl": "<string>",
"screenshotUpdatedAt": "2023-11-07T05:31:56Z"
}
}Pass a user JWT or a oag_ User API Key on the
Authorization: Bearer <token> header. Both are validated by
openapi-gateway against the Auth service.
128